<?php
define('NTLCMS', 1);
$module = 'sale';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница автопродажи кредитов - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Автопродажа кр</b></div>';
echo '<div class="menu"><i class="fa  fa-dot-circle-o fa-fw"></i> В банке: '.coins(round($_USER['bank'], 2)).' </div>';
$error = null;
if (isset($_POST['col'])){
$summa = isset($_POST['col']) ? filter_var($_POST['col'], FILTER_SANITIZE_NUMBER_INT) : '0';
if (empty($summa)){
$error.= 'Введите количество кредитов для продажи!<br/>';
} elseif (!is_numeric($summa)){
$error.= 'Не верно введено количество!<br/>';
} elseif ($summa > $_USER['bank']){
$error.= 'В банке нет такого количества кредитов!<br/>';
} elseif ($summa < $set['csale']){
$error.= 'Продавать можно от '.($set['csale']).' CR!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
if ($_USER['privilege'] == '1'){
$money = ($summa * $set['privsale']);
} else {
$money = ($summa * $set['sale']);
}
if (DB :: run() -> query("update `users` set `bank` = `bank` - ? where `login` = ?", array($summa, $ilogin))){
DB :: run() -> query("update `users` set `balans` = `balans` + ? where `login` = ? limit 1", array($money, $ilogin));
DB :: run() -> query("insert into `credit` (`data`, `sales`, `cena`, `kolvo`) values (?, ?, ?, ?)", array(TIME, $ilogin, $money, $summa));
header('Location: '.URL.'/sale');
$_SESSION['success'] = 'Успешно продано '.$summa.' кредитов на сумму '.$money.' руб.!';
} else {
header('Location: '.URL.'/sale');
$_SESSION['fail'] = 'Ошибка при продаже кредитов!';
}
}
}
echo '<div class="menu"><form action="'.URL.'/sale" method="post">
* Количество:<br/><input type="text" name="col" maxlength="11" value=""/><br/>
<input type="submit" value="Продать кредиты"/></form></div>';
echo '<div class="menu"><i class="fa fa-exclamation fa-fw"></i> Продавать можно от '.coins(($set['csale'])).'</div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/exchanges">Биржа кредитов</a></div>';
include ('../system/foot.php');
?>